.section-video-with-text{

video-player{
  cursor:pointer;
  aspect-ratio: var(--aspect-ratio);
}
  .o-layout{
    display:flex;
    flex-direction:column-reverse;
    .o-layout__item{
      display:flex;
      flex-direction:row;
      &.video-container{
        width: 100%;
        max-height:80vh;
        padding-right:1.5rem;
        padding-left:1.5rem;
        margin:auto;
        .o-ratio{
          height:auto;
          margin:auto;
          max-height:calc(100vh - 90px);
          &::before{
            content:unset;
          }
          .o-ratio__content{
            height:auto;
          }
        }
      }
      &.text-container{
        flex:1;
        .image-with-text__box{
          max-width:100%;
        }
      }
      .image-with-text__media{
        width:100%;
      }

    }
  }

  @media (min-width: 766px){
    .o-layout{
      display:block;
      .o-layout__item.video-container{
        float:right;
        width:auto;
        padding-left:0;
        max-width: 50%;
        width: 50%;
        .o-ratio{
          height:40rem;
          max-width:100%

        }
      }
    }
  }
}